package com.hzya.frame.plugin.lets.entity;

import com.hzya.frame.web.entity.BaseEntity;
/**
 * (IcSpecialB)实体类
 *
 * @author makejava
 * @since 2023-12-05 16:06:40
 */
public class IcSpecialBEntity extends BaseEntity {
 
 private String specNo;

    public String getSpecNo() {
        return specNo;
    }

    public void setSpecNo(String specNo) {
        this.specNo = specNo;
    }

    private String castunitid;
 private String cfirstbillbid;
 private String cfirstbillhid;
 private String cfirsttype;
 private String cinventoryid;
 private String crowno;
 private String csourcebillbid;
 private String csourcebillhid;
 private String csourcetype;
 private String cspaceid;
 private String cspecialbid;
 private String cspecialhid;
 private String cvendorid;
 private String cwarehouseid;
 private Integer dr;
 private Double dshldtransnum;
 private String dvalidate;
 private Integer fbillrowflag;
 private Double hsl;
 private Double naccountastnum;
 private Double naccountgrsnum;
 private Double naccountnum;
 private Double nadjustastnum;
 private Double nadjustgrsnum;
 private Double nadjustnum;
 private Double nbarcodenum;
 private Double ncheckastnum;
 private Double ncheckgrsnum;
 private Double nchecknum;
 private Double nmny;
 private Double nperiodastnum;
 private Double nperiodnum;
 private Double nplannedmny;
 private Double nplannedprice;
 private Double nprice;
 private Double nshldtransastnum;
 private Double nshldtransgrsnum;
 private String pkCorp;
 private String pkDefdoc1;
 private String pkDefdoc10;
 private String pkDefdoc11;
 private String pkDefdoc12;
 private String pkDefdoc13;
 private String pkDefdoc14;
 private String pkDefdoc15;
 private String pkDefdoc16;
 private String pkDefdoc17;
 private String pkDefdoc18;
 private String pkDefdoc19;
 private String pkDefdoc2;
 private String pkDefdoc20;
 private String pkDefdoc3;
 private String pkDefdoc4;
 private String pkDefdoc5;
 private String pkDefdoc6;
 private String pkDefdoc7;
 private String pkDefdoc8;
 private String pkDefdoc9;
 private String ts;
 private String vbatchcode;
 private String vfree1;
 private String vfree10;
 private String vfree2;
 private String vfree3;
 private String vfree4;
 private String vfree5;
 private String vfree6;
 private String vfree7;
 private String vfree8;
 private String vfree9;
 private String vnote;
 private String vsourcebillcode;
 private String vuserdef1;
 private String vuserdef10;
 private String vuserdef11;
 private String vuserdef12;
 private String vuserdef13;
 private String vuserdef14;
 private String vuserdef15;
 private String vuserdef16;
 private String vuserdef17;
 private String vuserdef18;
 private String vuserdef19;
 private String vuserdef2;
 private String vuserdef20;
 private String vuserdef3;
 private String vuserdef4;
 private String vuserdef5;
 private String vuserdef6;
 private String vuserdef7;
 private String vuserdef8;
 private String vuserdef9;


    public String getCastunitid() {
        return castunitid;
    }

    public void setCastunitid(String castunitid) {
        this.castunitid = castunitid;
    }

    public String getCfirstbillbid() {
        return cfirstbillbid;
    }

    public void setCfirstbillbid(String cfirstbillbid) {
        this.cfirstbillbid = cfirstbillbid;
    }

    public String getCfirstbillhid() {
        return cfirstbillhid;
    }

    public void setCfirstbillhid(String cfirstbillhid) {
        this.cfirstbillhid = cfirstbillhid;
    }

    public String getCfirsttype() {
        return cfirsttype;
    }

    public void setCfirsttype(String cfirsttype) {
        this.cfirsttype = cfirsttype;
    }

    public String getCinventoryid() {
        return cinventoryid;
    }

    public void setCinventoryid(String cinventoryid) {
        this.cinventoryid = cinventoryid;
    }

    public String getCrowno() {
        return crowno;
    }

    public void setCrowno(String crowno) {
        this.crowno = crowno;
    }

    public String getCsourcebillbid() {
        return csourcebillbid;
    }

    public void setCsourcebillbid(String csourcebillbid) {
        this.csourcebillbid = csourcebillbid;
    }

    public String getCsourcebillhid() {
        return csourcebillhid;
    }

    public void setCsourcebillhid(String csourcebillhid) {
        this.csourcebillhid = csourcebillhid;
    }

    public String getCsourcetype() {
        return csourcetype;
    }

    public void setCsourcetype(String csourcetype) {
        this.csourcetype = csourcetype;
    }

    public String getCspaceid() {
        return cspaceid;
    }

    public void setCspaceid(String cspaceid) {
        this.cspaceid = cspaceid;
    }

    public String getCspecialbid() {
        return cspecialbid;
    }

    public void setCspecialbid(String cspecialbid) {
        this.cspecialbid = cspecialbid;
    }

    public String getCspecialhid() {
        return cspecialhid;
    }

    public void setCspecialhid(String cspecialhid) {
        this.cspecialhid = cspecialhid;
    }

    public String getCvendorid() {
        return cvendorid;
    }

    public void setCvendorid(String cvendorid) {
        this.cvendorid = cvendorid;
    }

    public String getCwarehouseid() {
        return cwarehouseid;
    }

    public void setCwarehouseid(String cwarehouseid) {
        this.cwarehouseid = cwarehouseid;
    }

    public Integer getDr() {
        return dr;
    }

    public void setDr(Integer dr) {
        this.dr = dr;
    }

    public Double getDshldtransnum() {
        return dshldtransnum;
    }

    public void setDshldtransnum(Double dshldtransnum) {
        this.dshldtransnum = dshldtransnum;
    }

    public String getDvalidate() {
        return dvalidate;
    }

    public void setDvalidate(String dvalidate) {
        this.dvalidate = dvalidate;
    }

    public Integer getFbillrowflag() {
        return fbillrowflag;
    }

    public void setFbillrowflag(Integer fbillrowflag) {
        this.fbillrowflag = fbillrowflag;
    }

    public Double getHsl() {
        return hsl;
    }

    public void setHsl(Double hsl) {
        this.hsl = hsl;
    }

    public Double getNaccountastnum() {
        return naccountastnum;
    }

    public void setNaccountastnum(Double naccountastnum) {
        this.naccountastnum = naccountastnum;
    }

    public Double getNaccountgrsnum() {
        return naccountgrsnum;
    }

    public void setNaccountgrsnum(Double naccountgrsnum) {
        this.naccountgrsnum = naccountgrsnum;
    }

    public Double getNaccountnum() {
        return naccountnum;
    }

    public void setNaccountnum(Double naccountnum) {
        this.naccountnum = naccountnum;
    }

    public Double getNadjustastnum() {
        return nadjustastnum;
    }

    public void setNadjustastnum(Double nadjustastnum) {
        this.nadjustastnum = nadjustastnum;
    }

    public Double getNadjustgrsnum() {
        return nadjustgrsnum;
    }

    public void setNadjustgrsnum(Double nadjustgrsnum) {
        this.nadjustgrsnum = nadjustgrsnum;
    }

    public Double getNadjustnum() {
        return nadjustnum;
    }

    public void setNadjustnum(Double nadjustnum) {
        this.nadjustnum = nadjustnum;
    }

    public Double getNbarcodenum() {
        return nbarcodenum;
    }

    public void setNbarcodenum(Double nbarcodenum) {
        this.nbarcodenum = nbarcodenum;
    }

    public Double getNcheckastnum() {
        return ncheckastnum;
    }

    public void setNcheckastnum(Double ncheckastnum) {
        this.ncheckastnum = ncheckastnum;
    }

    public Double getNcheckgrsnum() {
        return ncheckgrsnum;
    }

    public void setNcheckgrsnum(Double ncheckgrsnum) {
        this.ncheckgrsnum = ncheckgrsnum;
    }

    public Double getNchecknum() {
        return nchecknum;
    }

    public void setNchecknum(Double nchecknum) {
        this.nchecknum = nchecknum;
    }

    public Double getNmny() {
        return nmny;
    }

    public void setNmny(Double nmny) {
        this.nmny = nmny;
    }

    public Double getNperiodastnum() {
        return nperiodastnum;
    }

    public void setNperiodastnum(Double nperiodastnum) {
        this.nperiodastnum = nperiodastnum;
    }

    public Double getNperiodnum() {
        return nperiodnum;
    }

    public void setNperiodnum(Double nperiodnum) {
        this.nperiodnum = nperiodnum;
    }

    public Double getNplannedmny() {
        return nplannedmny;
    }

    public void setNplannedmny(Double nplannedmny) {
        this.nplannedmny = nplannedmny;
    }

    public Double getNplannedprice() {
        return nplannedprice;
    }

    public void setNplannedprice(Double nplannedprice) {
        this.nplannedprice = nplannedprice;
    }

    public Double getNprice() {
        return nprice;
    }

    public void setNprice(Double nprice) {
        this.nprice = nprice;
    }

    public Double getNshldtransastnum() {
        return nshldtransastnum;
    }

    public void setNshldtransastnum(Double nshldtransastnum) {
        this.nshldtransastnum = nshldtransastnum;
    }

    public Double getNshldtransgrsnum() {
        return nshldtransgrsnum;
    }

    public void setNshldtransgrsnum(Double nshldtransgrsnum) {
        this.nshldtransgrsnum = nshldtransgrsnum;
    }

    public String getPkCorp() {
        return pkCorp;
    }

    public void setPkCorp(String pkCorp) {
        this.pkCorp = pkCorp;
    }

    public String getPkDefdoc1() {
        return pkDefdoc1;
    }

    public void setPkDefdoc1(String pkDefdoc1) {
        this.pkDefdoc1 = pkDefdoc1;
    }

    public String getPkDefdoc10() {
        return pkDefdoc10;
    }

    public void setPkDefdoc10(String pkDefdoc10) {
        this.pkDefdoc10 = pkDefdoc10;
    }

    public String getPkDefdoc11() {
        return pkDefdoc11;
    }

    public void setPkDefdoc11(String pkDefdoc11) {
        this.pkDefdoc11 = pkDefdoc11;
    }

    public String getPkDefdoc12() {
        return pkDefdoc12;
    }

    public void setPkDefdoc12(String pkDefdoc12) {
        this.pkDefdoc12 = pkDefdoc12;
    }

    public String getPkDefdoc13() {
        return pkDefdoc13;
    }

    public void setPkDefdoc13(String pkDefdoc13) {
        this.pkDefdoc13 = pkDefdoc13;
    }

    public String getPkDefdoc14() {
        return pkDefdoc14;
    }

    public void setPkDefdoc14(String pkDefdoc14) {
        this.pkDefdoc14 = pkDefdoc14;
    }

    public String getPkDefdoc15() {
        return pkDefdoc15;
    }

    public void setPkDefdoc15(String pkDefdoc15) {
        this.pkDefdoc15 = pkDefdoc15;
    }

    public String getPkDefdoc16() {
        return pkDefdoc16;
    }

    public void setPkDefdoc16(String pkDefdoc16) {
        this.pkDefdoc16 = pkDefdoc16;
    }

    public String getPkDefdoc17() {
        return pkDefdoc17;
    }

    public void setPkDefdoc17(String pkDefdoc17) {
        this.pkDefdoc17 = pkDefdoc17;
    }

    public String getPkDefdoc18() {
        return pkDefdoc18;
    }

    public void setPkDefdoc18(String pkDefdoc18) {
        this.pkDefdoc18 = pkDefdoc18;
    }

    public String getPkDefdoc19() {
        return pkDefdoc19;
    }

    public void setPkDefdoc19(String pkDefdoc19) {
        this.pkDefdoc19 = pkDefdoc19;
    }

    public String getPkDefdoc2() {
        return pkDefdoc2;
    }

    public void setPkDefdoc2(String pkDefdoc2) {
        this.pkDefdoc2 = pkDefdoc2;
    }

    public String getPkDefdoc20() {
        return pkDefdoc20;
    }

    public void setPkDefdoc20(String pkDefdoc20) {
        this.pkDefdoc20 = pkDefdoc20;
    }

    public String getPkDefdoc3() {
        return pkDefdoc3;
    }

    public void setPkDefdoc3(String pkDefdoc3) {
        this.pkDefdoc3 = pkDefdoc3;
    }

    public String getPkDefdoc4() {
        return pkDefdoc4;
    }

    public void setPkDefdoc4(String pkDefdoc4) {
        this.pkDefdoc4 = pkDefdoc4;
    }

    public String getPkDefdoc5() {
        return pkDefdoc5;
    }

    public void setPkDefdoc5(String pkDefdoc5) {
        this.pkDefdoc5 = pkDefdoc5;
    }

    public String getPkDefdoc6() {
        return pkDefdoc6;
    }

    public void setPkDefdoc6(String pkDefdoc6) {
        this.pkDefdoc6 = pkDefdoc6;
    }

    public String getPkDefdoc7() {
        return pkDefdoc7;
    }

    public void setPkDefdoc7(String pkDefdoc7) {
        this.pkDefdoc7 = pkDefdoc7;
    }

    public String getPkDefdoc8() {
        return pkDefdoc8;
    }

    public void setPkDefdoc8(String pkDefdoc8) {
        this.pkDefdoc8 = pkDefdoc8;
    }

    public String getPkDefdoc9() {
        return pkDefdoc9;
    }

    public void setPkDefdoc9(String pkDefdoc9) {
        this.pkDefdoc9 = pkDefdoc9;
    }

    public String getTs() {
        return ts;
    }

    public void setTs(String ts) {
        this.ts = ts;
    }

    public String getVbatchcode() {
        return vbatchcode;
    }

    public void setVbatchcode(String vbatchcode) {
        this.vbatchcode = vbatchcode;
    }

    public String getVfree1() {
        return vfree1;
    }

    public void setVfree1(String vfree1) {
        this.vfree1 = vfree1;
    }

    public String getVfree10() {
        return vfree10;
    }

    public void setVfree10(String vfree10) {
        this.vfree10 = vfree10;
    }

    public String getVfree2() {
        return vfree2;
    }

    public void setVfree2(String vfree2) {
        this.vfree2 = vfree2;
    }

    public String getVfree3() {
        return vfree3;
    }

    public void setVfree3(String vfree3) {
        this.vfree3 = vfree3;
    }

    public String getVfree4() {
        return vfree4;
    }

    public void setVfree4(String vfree4) {
        this.vfree4 = vfree4;
    }

    public String getVfree5() {
        return vfree5;
    }

    public void setVfree5(String vfree5) {
        this.vfree5 = vfree5;
    }

    public String getVfree6() {
        return vfree6;
    }

    public void setVfree6(String vfree6) {
        this.vfree6 = vfree6;
    }

    public String getVfree7() {
        return vfree7;
    }

    public void setVfree7(String vfree7) {
        this.vfree7 = vfree7;
    }

    public String getVfree8() {
        return vfree8;
    }

    public void setVfree8(String vfree8) {
        this.vfree8 = vfree8;
    }

    public String getVfree9() {
        return vfree9;
    }

    public void setVfree9(String vfree9) {
        this.vfree9 = vfree9;
    }

    public String getVnote() {
        return vnote;
    }

    public void setVnote(String vnote) {
        this.vnote = vnote;
    }

    public String getVsourcebillcode() {
        return vsourcebillcode;
    }

    public void setVsourcebillcode(String vsourcebillcode) {
        this.vsourcebillcode = vsourcebillcode;
    }

    public String getVuserdef1() {
        return vuserdef1;
    }

    public void setVuserdef1(String vuserdef1) {
        this.vuserdef1 = vuserdef1;
    }

    public String getVuserdef10() {
        return vuserdef10;
    }

    public void setVuserdef10(String vuserdef10) {
        this.vuserdef10 = vuserdef10;
    }

    public String getVuserdef11() {
        return vuserdef11;
    }

    public void setVuserdef11(String vuserdef11) {
        this.vuserdef11 = vuserdef11;
    }

    public String getVuserdef12() {
        return vuserdef12;
    }

    public void setVuserdef12(String vuserdef12) {
        this.vuserdef12 = vuserdef12;
    }

    public String getVuserdef13() {
        return vuserdef13;
    }

    public void setVuserdef13(String vuserdef13) {
        this.vuserdef13 = vuserdef13;
    }

    public String getVuserdef14() {
        return vuserdef14;
    }

    public void setVuserdef14(String vuserdef14) {
        this.vuserdef14 = vuserdef14;
    }

    public String getVuserdef15() {
        return vuserdef15;
    }

    public void setVuserdef15(String vuserdef15) {
        this.vuserdef15 = vuserdef15;
    }

    public String getVuserdef16() {
        return vuserdef16;
    }

    public void setVuserdef16(String vuserdef16) {
        this.vuserdef16 = vuserdef16;
    }

    public String getVuserdef17() {
        return vuserdef17;
    }

    public void setVuserdef17(String vuserdef17) {
        this.vuserdef17 = vuserdef17;
    }

    public String getVuserdef18() {
        return vuserdef18;
    }

    public void setVuserdef18(String vuserdef18) {
        this.vuserdef18 = vuserdef18;
    }

    public String getVuserdef19() {
        return vuserdef19;
    }

    public void setVuserdef19(String vuserdef19) {
        this.vuserdef19 = vuserdef19;
    }

    public String getVuserdef2() {
        return vuserdef2;
    }

    public void setVuserdef2(String vuserdef2) {
        this.vuserdef2 = vuserdef2;
    }

    public String getVuserdef20() {
        return vuserdef20;
    }

    public void setVuserdef20(String vuserdef20) {
        this.vuserdef20 = vuserdef20;
    }

    public String getVuserdef3() {
        return vuserdef3;
    }

    public void setVuserdef3(String vuserdef3) {
        this.vuserdef3 = vuserdef3;
    }

    public String getVuserdef4() {
        return vuserdef4;
    }

    public void setVuserdef4(String vuserdef4) {
        this.vuserdef4 = vuserdef4;
    }

    public String getVuserdef5() {
        return vuserdef5;
    }

    public void setVuserdef5(String vuserdef5) {
        this.vuserdef5 = vuserdef5;
    }

    public String getVuserdef6() {
        return vuserdef6;
    }

    public void setVuserdef6(String vuserdef6) {
        this.vuserdef6 = vuserdef6;
    }

    public String getVuserdef7() {
        return vuserdef7;
    }

    public void setVuserdef7(String vuserdef7) {
        this.vuserdef7 = vuserdef7;
    }

    public String getVuserdef8() {
        return vuserdef8;
    }

    public void setVuserdef8(String vuserdef8) {
        this.vuserdef8 = vuserdef8;
    }

    public String getVuserdef9() {
        return vuserdef9;
    }

    public void setVuserdef9(String vuserdef9) {
        this.vuserdef9 = vuserdef9;
    }

}

